@import url("weather.css");

:root {
    --custom-accent: #29527A;
    --custom-accent-rgb:41,82,122;
    
    --blox-blue: #00a3e1;
    --blox-red:#C91517;    
    --blox-footer-bg: var(--blox-black);
    --blox-navbar-bg: #1a1d23;
    --blox-top-bar-bg: var(--custom-accent);
    --blox-top-bar-color:#fff;
    --blox-navbar-link-color:#fff;
    /*--blox-header-color:#fff;*/
    --blox-heading-color:#000;
    --top-nav-secondary:#19446a;
    --blox-link-color: var(--custom-accent);
    --blox-link-hover-color: var(--custom-accent);
    --blox-link-color-rgb: 0, 0, 0;
    --blox-body-font-family: 'Inter', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    --blox-font-serif: "Source Serif 4", serif;
    --main-transition: all 0.3s ease-in-out;
    --fast-transition: 0.1s;
    --sidebar-width: 330px;
    --blox-nav-drawer-bg-color:#000
    

}


h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1{font-weight: var(--blox-font-weight-bold)}


/* grid fixes and modifications */
header.container-fluid{padding: 0}
nav .container-xl{width: 100%; max-width: min(calc(100% - 30px), 1620px);}
header .container-xl{width: 100%;max-width: min(calc(100% - 30px), 1620px);}
#site-masthead, #main-navbar {width: 100%; max-width: min(calc(100% - 30px), 1620px);margin:0 auto}

@media (min-width: 992px) {
    #main-page-container>.row>.col-xl-4.col-lg-5 {width: inherit;min-width: var(--sidebar-width) !important;max-width: var(--sidebar-width) !important;}
    #main-page-container>.row>.col-xl-8.col-lg-7 {width: calc(100% - var(--sidebar-width)) !important;}
    .main-sidebar.col-xl-4.col-lg-5 {width: inherit;min-width: var(--sidebar-width) !important;max-width: var(--sidebar-width) !important;}
    .main-content.col-xl-8.col-lg-7 {width: calc(100% - var(--sidebar-width)) !important;}

}


/* generic overwrites, spacing, section tag style, order etc.*/



blox-card[headline-size="small"]::part(headline){line-height: normal;font-size:var(--blox-font-size-0) }
[slot='headline'] {
    display: block;
    transition: var(--main-transition);
}

[slot='headline']:hover {
    color: var(--custom-accent)
}
a[slot='headline']{
text-underline-offset: .2em;
text-decoration-thickness:1px;
line-height: var(--blox-line-height-dense) !important;
text-decoration-color:rgb(from currentColor calc(r) calc(g) calc(b) / 0.4)
}

blox-card::part(meta) {text-transform: uppercase;font-size: var(--blox-font-size--2);}
blox-card::part(sections) {order: -1;}
blox-card::part(section) {
    --blox-dark:#fff;
    background: var(--custom-accent);
    color: var(--blox-white);
    line-height: 1;
    padding: 5px 8px;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: .1ch;
    text-transform: uppercase;
    text-decoration: none;
}

blox-card::part(section):hover {
    background: var(--blox-black);
    color: var(--blox-white);
    text-decoration: none
}


blox-card::part(separator):after{content:'-'}
blox-card::part(byline){order: -2}
span[slot="byline"] p:empty{display: none}
blox-card::part(separator){order: -1}
::part(meta){--blox-spacing-x-small:0 5px}
blox-card::part(section-separator){display: none}


/*
blox-card::part(separator){
    
    display: var(--custom-display,inline)
    
}
blox-card::part(sections){
    --custom-display:none
    
}*/


[slot='comments'] blox-icon{color: var(--custom-accent)}


/* block title no border, closer to content */

blox-block::part(divider){--blox-border-color:transparent}
blox-block::part(content){margin-top: 0}
blox-block [slot="links"]{text-transform: uppercase;font-weight: 800;font-size: var(--blox-font-size--2)}
blox-links a:after{content: "\2794";border: 1px solid #000;border-radius: 50%;display: flex;align-content: center;align-items: center;line-height: 5px;padding: 0 2px 2px;width: 18px;height: 18px;justify-content: center;transition: var(--main-transition);}
blox-links a{display: flex;column-gap: 5px;align-items: center;text-decoration: none !important;transition: var(--main-transition);text-transform: uppercase;}
blox-block::part(header){--blox-spacing-small:var(--blox-spacing-2x-small)}
blox-block::part(header-inner){--blox-spacing-small:var(--blox-spacing-small)}
a[slot='title'], a[slot='links']{
    transition: var(--main-transition) !important;
    text-underline-offset: .2em;
    text-decoration-thickness:1px !important;
    text-decoration-color:rgb(from currentColor calc(r) calc(g) calc(b) / 0.4);
    }
a[slot='title']:hover, a[slot='links']:hover{
    --blox-link-hover-color-rgb:var(--custom-accent-rgb);
  
}
.breadcrumbs{--blox-font-size-1:14px}



/* header */
#site-masthead{padding-top:5px;padding-bottom:5px}
#tncms-region-global-skyline blox-block::part(base){margin-bottom: 0}
#site-top-bar .left-region{flex-basis: 65%;min-height: 50px;}
#site-top-bar .tncms-region-nav{padding-top: 8px;padding-bottom: 10px}
#topbar-a-nav-menu{justify-content: center}
.top-bar-nav li{--blox-spacing-x-small:0}
.top-bar-nav{gap:5px 15px}

/*----------------header replica promo custom HTML----------------*/


.eedition-latest .card-container {display: grid;grid-template-columns:55px auto;align-items: center}
.eedition-latest .image {max-height: 55px;outline: 1px solid rgba(0,0,0,1) !important;}
.eedition-latest h3 {font-size: 15px;margin: 0;font-weight: 700}
.eedition-latest h4 a{display: inline-block;line-height: 15px;margin-top: 5px;color: var(--custom-accent);font-size:14px !important}
.eedition-latest h4 {margin-bottom: 0}
.eedition-latest .card-body {padding: 15px 10px}
.eedition-latest .card-image {outline: 1px solid rgba(0,0,0,.1);padding-bottom: 5px !important;box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;}
.eedition-latest .card-image .photo{overflow: hidden;margin-bottom: 0}



#site-top-bar .right-region{flex-basis: 35%;position: relative}
#site-top-bar .right-region > *{z-index: 3}
#site-top-bar .right-region:before{content:'';height: 100%;background:var(--top-nav-secondary);top: 0;left: 0;width: 100vw;position: absolute}
#site-top-bar a{color: #fff;Font-size: 12px;font-weight: 600;text-transform: uppercase;line-height: 12px;}
#site-top-bar .top-bar-nav{flex-wrap: wrap}
#site-top-bar .right-region .top-bar-nav{justify-content: flex-end}

#site-masthead blox-block::part(base){margin-bottom: 0}
#site-masthead .left-region{display: grid;grid-template-columns: 130px auto;column-gap: 30px;}
#site-masthead .right-region{column-gap: 15px;}
#tncms-region-masthead-b .img-fluid{max-height:58px;width: auto }


.block-login-user-controls{
--blox-border-radius:0;
}
.block-login-user-controls blox-button.user-button::part(base){padding-left: 5px !important;padding-right: 5px !important}
#site-masthead .block-login-user-controls blox-button[variant="primary"]::part(base){
--blox-primary:var(--custom-accent);
--blox-button-hover:var(--blox-black);
--blox-border-radius:0;
font-weight: bold;text-transform: uppercase;letter-spacing: .12ch;}




/* navigation */

#main-navbar-inner a:hover{color: #000}
#main-navbar-inner .dropdown-menu a{color: #000}
.nav-basic .dropdown-menu{padding-top: 0;padding-bottom: 0}
.nav-drawer-icon blox-icon{color: #fff;font-size: 28px}
.nav-drawer-icon blox-icon:hover{color: var(--blox-yellow)}
#main-navbar-inner .nav-drawer-icon{padding: 0;margin-right: 5px}
#main-navbar-inner .nav-drawer-icon:hover {background: none}


#main-navbar-left-nav-menu{width: 100%;display: flex;flex-wrap: wrap;}
#main-navbar-left-nav-menu > *{flex:1;white-space: nowrap; text-align: center; border-right: 1px solid rgba(255,255,255,.1);line-height: 26px}
/* #tncms-region-nav-main-navbar-left-nav{flex:1} */
#tncms-region-nav-main-navbar-left-nav{margin: 0 auto}
@media screen and (min-width: 1150px) {
#tncms-region-nav-main-navbar-left-nav{min-width: 900px}
}
#main-navbar-left-nav-menu > li > a{transition: var(--main-transition);font-size: 12px;padding: 10px 15px;font-weight: 600;border: 0;text-transform: uppercase;letter-spacing: .15ch;}
#main-navbar-left-nav-menu > li > a.show{color: #000}
#main-navbar-left-nav-menu .dropdown-menu {background-color: #fff;padding-top: 0;padding-bottom: 0;margin-left: 0 !important;outline: 0px solid #e4e4e4 !important;border: 0 !important;min-width: 220px;box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;border-radius: 0}
.main-nav a.nav-link:hover, .main-nav a.nav-link.show{background: #fff}
#main-navbar-left-nav-menu .dropdown-menu > li:not(:last-of-type) {border-bottom: 1px solid rgba(0,0,0,.1);}
#main-navbar-left-nav-menu .dropdown-menu > li a{text-decoration: none !important;font-weight: 600;text-shadow: none;line-height: 21px !important;font-weight: 600;font-size: 12px;transition: var(--main-transition);text-transform: uppercase;letter-spacing: .15ch;padding: 10px 20px 10px 12px}
#main-navbar-left-nav-menu .dropdown-menu > li a:hover{color:var(--blox-white);background:var(--custom-accent);}



#tncms-region-main-navbar-right{display: flex;align-items: center;justify-content: space-between;/*width: 100%;max-width: 220px;*/}
/*#main-navbar-inner .right-region{width: 100%;max-width: 220px;}*/

#main-navbar-inner .left-region{padding-right: 0}
#main-navbar-inner .right-region{padding-left: 0}
#main-navbar-left-nav-menu > li:last-of-type{border: 0}
#main-navbar-inner .social-icon{color: #000 !important}
#main-navbar-inner .social-icon:hover{color: #fff !important}
#main-navbar-inner blox-button[slot="anchor"]::part(base) {border-radius: 0;border: 0;background: none !important}
#main-navbar-inner .block-static-site-search-popup form{padding: 8px}
#main-navbar-inner .block-static-site-search-popup .blox-button-text{font-size: 14px;font-weight: bold}
#main-navbar-inner .block-static-site-search-popup blox-input::part(input){font-size: 14px}
#main-navbar-inner .block-static-site-search-popup blox-button[variant="primary"]::part(base){
--blox-primary:var(--custom-accent);
--blox-button-hover:var(--blox-black);
--blox-border-radius:0;
font-weight: bold;text-transform: uppercase;letter-spacing: .12ch;}
#main-navbar-inner blox-popup{
--blox-border-radius:0
}

nav blox-block::part(base){margin-bottom: 0 !important}


/* footer */

footer .social-icon{color: #000 !important}
footer .social-icon:hover{color: #fff !important}
.footer-logo .img-fluid {max-height: 40px;width: auto;}
.footer-logo .img-container{display: flex;justify-content: center;margin:15px auto}
.site-index .footer-nav{column-count: 2;}
.site-index .footer-nav a {display: block;line-height: 21px;font-size: 13px;}
.site-copyright * {opacity: .9;}
.site-copyright .row{border-top: 1px solid rgba(255,255,255,.25);padding-top: 20px;padding-bottom: 20px;}
.site-index{padding-top: 40px;padding-bottom: 40px;}
.site-index  blox-block::part(heading){text-transform: uppercase;letter-spacing: .15ch;}
.site-index .block-text-block-title::part(base){margin-bottom: 20px}


/* block list summaries */

.block-list-summaries::part(content){gap:10px !important}
.block-list-summaries blox-divider{--color:rgba(0,0,0,.2);}
.block-list-summaries blox-card::part(body){--card-body-spacing:6px;}
.block-list-summaries::part(content){margin-top: var(--blox-spacing-4x-small)}
.block-grid-summaries blox-card::part(content){gap:10px}
.block-grid-summaries blox-card::part(body){gap:10px;width: 100%;}



/* block list features*/

.block-list-features blox-card::part(body){width:100%;box-sizing: border-box}
.block-list-features blox-card::part(body) {--card-image-border-radius:0 ;}



/* block list top story */

.block-list-top-story .featured-asset blox-card::part(card){padding-left: 0 !important;padding-right: 0 !important;padding-top: 0 !important}
.block-list-top-story .featured-asset blox-card::part(body){padding-left:var(--blox-spacing-medium);padding-right:var(--blox-spacing-medium) }
.block-list-top-story .list ::part(body){--card-body-spacing:var(--blox-spacing-small)}

/* CUSTOM CLASSES */


/* small image - move left and make a circle */


.circle-image blox-card[image-size="small"]::part(content) {flex-direction: row;}
.circle-image blox-card[image-size="small"] div[slot='image']{--card-image-border-radius:50%;overflow: hidden;}
.circle-image blox-card[image-size="small"]::part(image){min-width: 85px}


/* extra small headline */

.extra-small blox-card[headline-size="small"]::part(headline){line-height: normal;font-size:var(--blox-font-size--1) }
.extra-small .block-list-most-popular-summaries ::part(body){--card-body-spacing:var(--blox-spacing-x-small)}
.extra-small .block-list-most-popular-summaries::part(content){--blox-spacing-large:var(--blox-spacing-small)}


/* bordered grid cards , no border last row */

.bordered blox-card {border-bottom: 1px solid var(--blox-border-color);padding-bottom: var(--blox-spacing-small);}
.bordered blox-block::part(content){row-gap:var(--blox-spacing-small)  !important;}
.bordered blox-card:nth-last-child(-n+1) {border-bottom: 0;padding-bottom: 0}

@media screen and (min-width: 768px) {
    .bordered blox-block[data-columns="2"] blox-card:nth-last-child(-n+2) {border-bottom: 0;padding-bottom: 0}
    .bordered blox-block[data-columns="3"] blox-card:nth-last-child(-n+3) {border-bottom: 0;padding-bottom: 0}
    .bordered blox-block[data-columns="4"] blox-card:nth-last-child(-n+4) {border-bottom: 0;padding-bottom: 0}    
}


.body-over-image .block-list-top-story .featured-asset blox-card::part(content){position: relative !important}
.body-over-image .block-list-top-story .featured-asset blox-card::part(body){top: unset;bottom: 0px;left: 0px;transform: translate(0px);position:absolute;padding-bottom: 15px;padding-top: 15px;background: rgba(0,0,0,.6);width: 100%;box-sizing: border-box}
    




/* asset page mods */

.asset-view .asset-content > p, .asset-view .asset-content .asset-body > p{font-family: var(--blox-body-font-family);font-size: 1rem}
.asset-view .asset-title {margin-bottom: .5rem;font-size: clamp(2rem,4vw,2.5rem);}


/* breaking headlines mods */
.block-breaking-headlines{
    --blox-heading-color:#fff
}





.navigation-drawer-content blox-block::part(base){margin-bottom: 0 !important}
.navigation-drawer-content form{display: flex;justify-content: center;gap:5px}

.navigation-drawer-content blox-button[variant="primary"]::part(base) {
  --blox-primary: var(--custom-accent);
  --blox-button-hover: var(--blox-blue);
  --blox-border-radius: 0;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: .12ch;
}
.navigation-drawer-content .block-static-site-search blox-input::part(prefix) {display: none}
.navigation-drawer-content .block-static-site-search blox-input::part(input) {border-radius: 0}

@media (max-width: 767px){
#site-header{
--blox-navbar-bg:#fff;
}
.nav-drawer-icon blox-icon{}

#main-navbar-inner .left-region{justify-content: space-between;column-gap:5px;padding-right:10px}
#tncms-region-main-navbar-brand{display: flex;align-items: center;flex:1;padding-top: 10px;padding-bottom: 10px;padding-right:35px;justify-content:center}


.mobile-logo .img-fluid{max-height: 40px;width: auto}
nav .container-xl {

  max-width: min(calc(100% - 10px), 1620px);
}

}

/* hamburger menu */
blox-drawer {
    --bg-color:var(--blox-nav-drawer-bg-color);
}
blox-drawer .block-static-site-search{background: var(--blox-nav-drawer-bg-color) }
.block-static-site-search blox-input::part(container){background: #fff;border-radius: 0;}
#navigation-drawer-left {   
    --blox-link-color:#fff;
    --blox-border-color:rgba(255,255,255,.2)
}
.drawer-menu-link{text-transform: uppercase;letter-spacing: .1ch;}
.hamburger-user blox-block{display: flex;justify-content: center;margin-top: 10px}
.drawer-menu-toggle{color: var(--blox-link-color)}

/*

footer .block-title-inner{border-bottom: 0 !important}
footer .block-title-inner *{text-transform: uppercase;letter-spacing: .15ch}
footer .nav-list{list-style: none;padding: 0;column-count: 2}
footer .nav-list a{display: block;line-height: 21px;font-size: 13px}
#site-copyright{border-top: 1px solid rgba(255,255,255,.25)}
#site-copyright *{opacity: .9}
*/



/*
#tncms-region-front-set-1-full-top{display: grid;grid-template-columns:auto 25%;column-gap: 30px}
*/



/* playground */

/*  top nav multi background solution




*
/

/*
slot[name="date"]:after{border: 0 !important}

blox-block [slot="links"]:after{content:'\203A';font-size: 2rem;line-height: 1;margin-bottom: 5px;text-decoration: none !important;position: absolute;right: -15px }
blox-block [slot="links"]{display: flex;align-items: center;column-gap: 5px;position: relative;margin-right: 15px}
::part(blah):after {border: 0;content: "-";display: inline-flex}

*/

/*
rgb(from var(--blox-white) calc(r) calc(g) calc(b) / 0.3)

*/


/*

  --blox-line-height-denser: 1;
  --blox-line-height-dense: 1.4;
  --blox-line-height-normal: 1.8;
  --blox-line-height-loose: 2.2;
  --blox-line-height-looser: 2.6;

*/